Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class Ip2Applet.AppletIp2

    java.lang.Object
      ix.icore.IXAgent
          ix.ip2.Ip2
              ix.ip2.Ip2Applet.AppletIp2

Enclosing class:
  Ip2Applet

    public class Ip2Applet.AppletIp2

extends Ip2

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.Ip2
`Ip2.AddExtensionsHandler, Ip2.AddHandlersHandler`

Field Summary
`(package private) AppletCommunicationStrategy` | `commStrategy`
`(package private) Domain` | `savedDomain`
`(package private) Plan` | `savedPlan`

Fields inherited from class ix.ip2.Ip2
`activityViewer, agentTypeName, annotationViewer, classic, controller, domain, frame, issueViewer, logoImage, logoLine1, logoLine2, modelManager, optionManager, resetHooks, showOptions, stateViewer`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, mainAgent, nameListeners, startupDate, startupHooks, symbolName, textFrame`

Constructor Summary
`Ip2Applet.AppletIp2()`

Method Summary
`void` | `destroy()`
`(package private) void` | `disposeFrames()`
`void` | `exit()` Called when the agent should cease execution.
`java.applet.Applet` | `getApplet()`
`protected Ip2Frame` | `makeIp2Frame()` Called to make the main user interface frame.
`(package private) void` | `restart(Ip2Applet newApplet)`
`void` | `start()`
`protected void` | `startServer(java.lang.Object agentName, java.lang.String strategyName)` Set the main (global) IPC communication strategy and set up to receive messages by calling the strategy's setupServer method.
`void` | `stop()`

Methods inherited from class ix.ip2.Ip2
`addAboutInfo, addForwardingHandler, addHandlers, addHandlers, addResetHook, addTest, addTestMenuItems, addTool, clearAllButState, clearModel, completeStartup, do_reloadViewers, ensureTool, getActivityPatternSyntaxes, getAgentTypeName, getController, getDomain, getFrame, getIp2ModelManager, getModelManager, getOptionManager, getPlan, handleInput, handleInputDirectly, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, initOptions, isReloadingViewers, loadDomain, loadInitialPlan, loadPlan, loadPlan, loadPlan, main, makeActivityViewer, makeAnnotationViewer, makeController, makeIssueViewer, makeLogoPanel, makeModelManager, makeStateViewer, makeViewer, processCommandLineArguments, readDomain, readDomain, reloadViewers, reset, resetAllButState, resetViewers, savePlanAs, startup`

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, adjustLookAndFeel, displayMessage, do_mainStartup, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleReceivedReport, installAgentExtensions, installAgentExtensions, isMainAgent, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, setEventLogger, setupISimTimer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### savedPlan

    Plan savedPlan

### savedDomain

    Domain savedDomain

### commStrategy

    AppletCommunicationStrategy commStrategy

Constructor Detail

### Ip2Applet.AppletIp2

    Ip2Applet.AppletIp2()

Method Detail

### getApplet

    public java.applet.Applet getApplet()

### makeIp2Frame

    protected Ip2Frame makeIp2Frame()

  Description copied from class: `Ip2`
  Called to make the main user interface frame. This merely creates the frame, with almost nothing filled in. The frame's `Ip2Frame.setUp()` is later called to do most of the work.

  Overrides:
    `makeIp2Frame` in class `Ip2`

### startServer

    protected void startServer(java.lang.Object agentName,
                               java.lang.String strategyName)

  Description copied from class: `IXAgent`
  Set the main (global) IPC communication strategy and set up to receive messages by calling the strategy's setupServer method. If the `"enqueue-incoming-messages"` parameter is true, it uses a BufferedMessageListener so that the thread that supplies a message need't wait for the message to be processed by the panel; otherwise, a plain MessageListener is used. In both cases, the listener delivers the message by calling `IXAgent.pre_handleInput(IPC.InputMessage)`, but a buffered listener has its own thread that waits for that call to return before looking for the next message.

  Overrides:
    `startServer` in class `IXAgent`
  See Also:
    `IPC`, `IPC.setupServer(Object, IPC.MessageListener)`, `IPC.BufferedMessageListener`

### exit

    public void exit()

  Description copied from class: `IXAgent`
  Called when the agent should cease execution.

  Overrides:
    `exit` in class `IXAgent`

### start

    public void start()

### stop

    public void stop()

### destroy

    public void destroy()

### restart

    void restart(Ip2Applet newApplet)

### disposeFrames

    void disposeFrames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD